package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.siemensDb.QuerySiemensDbReq;
import org.wcs.model.po.app.AppBaseDb;

import java.util.List;

public interface AppBaseDbService extends IService<AppBaseDb> {

    List<AppBaseDb> queryAll();
    Tuple2<Long, List<AppBaseDb>> query(Integer pageIndex, Integer pageSize, QuerySiemensDbReq request);
    int insert(AppBaseDb db); // 新增一条数据
    int update(AppBaseDb db); // 修改一条数据
    List<AppBaseDb> queryByName(String dbName); // 根据名称查询
    int deleteByName(String dbName);
}
